All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::context Class Reference

Represents a generic 'context' similar to an OpenCL context, but is backend-agnostic and thus also suitable for CUDA and OpenMP. More...

`#include <context.hpp>`

## Public Member Functions

| context ()
| context (viennacl::memory_types mtype)
viennacl::memory_types | memory_type () const

## Detailed Description

Represents a generic 'context' similar to an OpenCL context, but is backend-agnostic and thus also suitable for CUDA and OpenMP.

Context objects are used to distinguish between different memory domains. One context may refer to an OpenCL device, another context may refer to a CUDA device, and a third context to main RAM. Thus, operations are only defined on objects residing on the same context.

Examples:
  amg.cpp, multithreaded.cpp, multithreaded_cg.cpp, and spai.cpp.

Definition at line 39 of file context.hpp.

## Constructor & Destructor Documentation

viennacl::context::context | ( |  | ) |

inline

Definition at line 42 of file context.hpp.

viennacl::context::context | ( | viennacl::memory_types | mtype | ) |

inline explicit

Definition at line 52 of file context.hpp.

## Member Function Documentation

viennacl::memory_types viennacl::context::memory_type | ( |  | ) | const

inline

Definition at line 76 of file context.hpp.

The documentation for this class was generated from the following file:

- viennacl/context.hpp